#
# spec file for package tree-sitter-puppet
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name puppet
Name:           tree-sitter-puppet
Version:        1.3.0
Release:        1.2
Summary:        Puppet grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter-grammars/tree-sitter-puppet
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%treesitter_devel_package

%changelog
* Tue Dec 31 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.3.0:
  * feat: require statement
  * feat: iterator statement
  * chore: update queries
  * fix: function call should not try to greedily parse lambdas
  * fix(grammar): adapt to upstream regex change
  * build: update bindings
  * fix: allow function calls in include statements
  * fix: allow escaped slashes in regex
  * chore: generate
- remove fix-regex.patch, as upstream integrated the fix
* Thu Dec  5 2024 Richard Rahl <rrahl0@opensuse.org>
- initial packaging
